Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 24 May 2019, 20:02
All times are UTC - 4
 Forum index » House Training » Beginners Help ( Start Here)
How to use Flash player in Xenial pup?
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [20 Posts]   Goto page: 1, 2 Next
Author Message
69Rixter

Joined: 27 Feb 2019
Posts: 5

PostPosted: Wed 13 Mar 2019, 15:08    Post subject:  How to use Flash player in Xenial pup?  

Afternoon Everyone:

I'm new to puppy linux (xenialpup 7.5). As with all new O.S's, it takes a bit of getting used to. Right now, I have an issue with "flash" player working. I've installed it (menu>internet>Get Flash-install Flashplayer) and it says it's installed. I use Opera browser which also has a "setting" for flash on the Opera browser (Opera settings>advanced>Privacy and Settings>Content Settings>Flash>Allow sites to run flash). Everything is 'set" to run flash, yet when I go to msngames and Jumble sites, it asks to install flash player? Those are, to my knowledge, the only sites asking to install 'flash". And, those sites will not operate. What else must I do to get the "flashplayer" to operate?

Evil or Very Mad Rick
Back to top
View user's profile Send private message 
darry19662018

Joined: 31 Mar 2018
Posts: 412
Location: Rakaia

PostPosted: Wed 13 Mar 2019, 15:58    Post subject:  

Welcome to the forums Rick.
_________________
Puppy Linux Wiki: http://www.puppylinux.org/wikka/HomePage

https://freemedia.neocities.org/
Back to top
View user's profile Send private message Visit poster's website 
MrDuckGuy


Joined: 31 Jan 2019
Posts: 106
Location: Hermosa Beach, CA, USA

PostPosted: Wed 13 Mar 2019, 16:38    Post subject: Re: implementing "flash" player
Subject description: Trying to get flash to "run"
 

69Rixter wrote:
... new to puppy linux (xenialpup 7.5). ... it asks to install flash player? ... What else must I do ...
'Getflash' stopped being reliable about a year or more ago.
There's a new, very similar plug-in that you can download
that will do the same thing, I have loaded it below. Down-
load 'update_flash-1.8.pet' below, and load it into your
system. You have the option to set it to run and update
your software upon every boot-up.

Of course, the program requires an active internet
connection to be effective.

After you get it working, you will find that within the OSs
menu, you can delete installed programs under the third
catagory, from the top of the menu list, which is 'Setup'.

So, click on 'menu' in the lower right hand corner of your
screen. On the top of the list, select 'Setup'.

Near the bottom, of 'Setup', find one called 'Remove built-in
packages. Look for 'getflash' and delete it from your menu.

This way 'getflash' will not be confused with the working
version, 'update_flash'.

Good luck with this. B'H.
update_flash-1.8.pet
Description  Update flash v1.8. Good luck with this. B'H.
pet

 Download 
Filename  update_flash-1.8.pet 
Filesize  3.2 KB 
Downloaded  23 Time(s) 

Last edited by MrDuckGuy on Wed 13 Mar 2019, 16:45; edited 1 time in total
Back to top
View user's profile Send private message 
OscarTalks


Joined: 05 Feb 2012
Posts: 1972
Location: London, England

PostPosted: Wed 13 Mar 2019, 16:41    Post subject:  

Hello Rick,

It would be helpful to know if XenialPup 7.5 is 32bit or 64bit.
Please also give the version of Opera browser.

Opera is based on Chromium and in recent versions it can be difficult to get flash player enabled. It is possible but you might need to add the required websites as exceptions.

_________________
Oscar in England

Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 12146
Location: S.C. USA

PostPosted: Wed 13 Mar 2019, 16:42    Post subject:  

msngames says you need Windows and a specific browser.
See this info:
https://zone.msn.com/en/support/article/support1018.htm

_________________
The things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
YaPI(any iso installer) http://www.murga-linux.com/puppy/viewtopic.php?t=107601
Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 4977
Location: King's Lynn, UK.

PostPosted: Wed 13 Mar 2019, 17:19    Post subject:  

@ Rick:-

Never did hear back from you at LQ.org. I assumed you'd lost interest...

I was about to give you a step-by-step tutorial to get PepperFlash installed & get you set up with the auto-updater, but Oscar says it won't install with current Opera, bigpup says for that specific site it apparently has to be Windows or nothing, so.....

It sounds like I'd just be wasting my time, TBH.

(*shrug*)

-------------------------------

@ MrDuckGuy:-

I hate to tell you this, but your post, admirable and detailed as it is, is all about the wrong type of Flashplayer. Your post is about Adobe Flash; Opera, being Chromium-based, requires PepperFlash. Different plug-in, different procedure, y'see....

---------------------------------

@bigpup:-

You're telling me that MSNGames will only allow access with the world's acknowledged most useless, dangerous browser....the one with security holes like Swiss cheese, and that leaks worse than a colander?

(*jeez*)

This is the very same browser that MyCrudSoft themselves are, even now, advising people not to use anymore. Because it's unsafe.

And who is it that owns MSN?

Oh boy, this is better than the Keystone Cops..! Laughing Laughing Shocked Exclamation


Mike. Wink

_________________
My 'Puppy' Packages
--------------------------------------

Back to top
View user's profile Send private message 
Semme


Joined: 07 Aug 2011
Posts: 8010
Location: World_Hub

PostPosted: Wed 13 Mar 2019, 18:21    Post subject:  

And you'd know this if you attempted a dwnld. Attempts *inform* the user.
Quote:
(ad-lib) Your post is all about the wrong type of Flashplayer

Upon attempt, Adobe will offer the appropriate dwnld based upon visiting browser.

_________________
>>> Living with the immediacy of death helps you sort out your priorities. It helps you live a life less trivial <<<
Back to top
View user's profile Send private message 
69Rixter

Joined: 27 Feb 2019
Posts: 5

PostPosted: Fri 15 Mar 2019, 12:21    Post subject:  implementing 'flash" player  

Afternoon:

OK, first...RE: mrduckguy Thanks for the info and the link. I'll try this later today. You know, when searching for an answer to this problem, it never came up(the link) nor anything to actually give directions to finding the answer?
Perhaps I need to re-phrase my question?

RE: Mike Walsh; Very good reason I hadn't 'returned" to LQ. Look at some of the responses there! I appreciate all the info you've provided and I will check(install)out your info. Not too sure I'll get to it today, but hopefully sometime over the weekend. Againg, TNX!!

RE: bigpup; Appreciate your imput. Just a bit confusing? Are you refering to OPERA as the world's worst browser? Also "who owns MSN", well of course that would be MicroS*#t (?) Guess I'm not really sure what your implying. Perhaps your suggesting I move on to another browser? Any thoughts on Valvaldi? Do NOT care for Firefox, IE and am having second thoughts about Google. Thus my move to Opera. Haven't 'explored" PaleMoon much, but with each session I try to work with it, then implement Opera, for I am more familiar with it.

[i]mrduckguy
has offered some interesting thoughts and suggestions in his reply. TY! I shall "check-em-out". I know, as with all isssues concerning Linux, the answers are always very simple/easy to implement, it's just getting those answers that can be the headache. Wish to THANK everyone for their contribution to this thread!!! Now, I've got some work to do.
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 12146
Location: S.C. USA

PostPosted: Fri 15 Mar 2019, 12:38    Post subject:  

bigpup wrote:
msngames says you need Windows and a specific browser.
See this info:
https://zone.msn.com/en/support/article/support1018.htm

All I am saying is this is what msngames web site says you need to use the website.

Maybe we can help more if we know exactly what it is you want Flash Player for.
What you want to be able to do.

Linux has options for how to do things!

Pale Moon browser is a spin off from Firefox.
Does a lot of stuff the same way.
It is developed by people that worked on Firefox, but did not like the way Firefox was being developed.
So they stopped working on Firefox and built their own Browser. (Pale Moon)

_________________
The things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
YaPI(any iso installer) http://www.murga-linux.com/puppy/viewtopic.php?t=107601
Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 4977
Location: King's Lynn, UK.

PostPosted: Fri 15 Mar 2019, 13:00    Post subject:  

@ Rick:-

There's only one candidate for the title of 'world's worst ever browser'.....and it claims that title by a country mile.

Internet Exploder! (What else..??)

Opera is, of course, Chromium-based. But there's other choices, too, if you want a privacy oriented, Chromium-based browser.

There's SRWare's 'Iron' browser. And there's FlashPeak's 'SlimJet'. Both of which are very good browsers, and both quite popular with Puppians.....partly because where Google quit offering a 32-bit version of Chrome around 4 years ago, Iron & SlimJet are both still available for x86.

(Chrome itself is a Chromium 'clone'. Google sponsor the Chromium Project, where the 'parent' browser is developed.) Some of Google's oddities:-

a ) Although the Chromium Project still compiles and builds 32-bit versions, Google decided years ago that their particular version was going 64-bit only on Linux. They were attempting to influence the direction of the PC market even then.

b ) Although Chromium is always compiled against the very newest of everything, Google, mystifyingly, take the source code and re-compile it against older, less secure libs to produce Chrome....

None of the above makes much sense. Most of us gave up trying to figure it out a long time ago.....!


Mike. Wink

_________________
My 'Puppy' Packages
--------------------------------------

Back to top
View user's profile Send private message 
OscarTalks


Joined: 05 Feb 2012
Posts: 1972
Location: London, England

PostPosted: Fri 15 Mar 2019, 15:12    Post subject:  

Flash Player working OK here
XenialPup64 7.5
Opera 55.0.2994.61

Make sure to install the correct version of Flash Player (PPAPI aka "Pepper Flash")
I just grabbed it from the download site
The file libpepflashplayer.so goes in /usr/lib/mozilla/plugins
Make sure it is enabled in "settings"

A lot of multimedia playback in browsers no longer uses Flash Player, but it is still needed for some things such as chat applets. I used a website with one of those to show that Flash Player is working.
opera-flash.jpg
 Description   Chat applet with tooltip showing that it is running in Flash Player
 Filesize   76.4 KB
 Viewed   156 Time(s)

opera-flash.jpg


_________________
Oscar in England

Back to top
View user's profile Send private message 
spiritwild


Joined: 03 Oct 2016
Posts: 174

PostPosted: Fri 15 Mar 2019, 20:04    Post subject:  

I still use this one

http://murga-linux.com/puppy/viewtopic.php?t=100523

For pepperflash I use a script that I've modified a bit to fit my needs.

Commands :

update-pepperflashplugin-nonfree --install"
update-pepperflashplugin-nonfree --uninstall"
update-pepperflashplugin-nonfree --status"

I have no Idea where I found it but this is the original.
I think it was included in the plugin download from the ubunto repo.

-----------------------------------------------------------------------------------------

Quote:
#!/bin/sh

# Copyright (C) 2006-2013 Bart Martens <bartm@knars.be>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

set -e

return_0() {
return 0
}

trap "return_0" 0

die_hard() {
echo "ERROR: $1" >&2
echo "More information might be available at:" >&2
echo " http://wiki.debian.org/PepperFlashPlayer" >&2
exit 1
}

[ `whoami` = "root" ] || die_hard "must be root"

show_usage() {
echo "Usage:"
echo " update-pepperflashplugin-nonfree --install"
echo " update-pepperflashplugin-nonfree --uninstall"
echo " update-pepperflashplugin-nonfree --status"
echo "Additional options:"
echo " --verbose"
echo " --quiet"
exit 1
}

getopt_temp=`getopt -o iusfvq --long install,uninstall,status,fast,verbose,quiet,beta,unstable,unverified \
-n 'update-pepperflashplugin-nonfree' -- "$@"` || show_usage
eval set -- "$getopt_temp" || show_usage

ACTION=none
fast=no
verbose=no
quiet=no
variant=stable
verified=yes

while [ true ]
do
case "$1" in
-i|--install)
ACTION="--install"
shift
;;
-u|--uninstall)
ACTION="--uninstall"
shift
;;
-s|--status)
ACTION="--status"
shift
;;
-f|--fast)
fast=yes
shift
;;
-v|--verbose)
verbose=yes
shift
;;
-q|--quiet)
quiet=yes
shift
;;
--beta)
variant=beta
shift
;;
--unstable)
variant=unstable
shift
;;
--unverified)
verified=no
shift
;;
--)
shift
break
;;
*)
echo "Internal error!"
exit 1
;;
esac
done

[ "$ACTION" != "none" -a $# -eq 0 ] || show_usage
[ "$quiet" != "yes" ] || verbose=no

[ "$verbose" != "yes" ] || echo "options : $getopt_temp"

latestfile=latest-$variant-verified.txt
[ "$verified" != "no" ] || latestfile=latest-$variant.txt

UNPACKDIR=`mktemp -d /tmp/pepperflashplugin-nonfree.XXXXXXXXXX` || die_hard "mktemp failed"
echo "$UNPACKDIR" | grep -q "^/tmp/pepperflashplugin-nonfree\." || die_hard "paranoia"
cd "$UNPACKDIR" || die_hard "cd failed"

[ "$verbose" != "yes" ] || echo "temporary directory: $UNPACKDIR"

do_cleanup() {
[ "$verbose" != "yes" ] || echo "cleaning up temporary directory $UNPACKDIR ..."
cd /
echo "$UNPACKDIR" | grep -q "^/tmp/pepperflashplugin-nonfree\." || die_hard "paranoia"
rm -rf "$UNPACKDIR"
}

die_hard_with_a_cleanup() {
return_0
do_cleanup
die_hard "$1"
}

trap "die_hard_with_a_cleanup interrupted" INT

cachedir=/var/cache/pepperflashplugin-nonfree

wgetquiet=' -q '
wgetfast='-t 3 -T 15 '
wgetalways=' -nd -P . '
wgetprogress=' -v --progress=dot:default '

if [ "$ACTION" = "--install" -o "$ACTION" = "--status" ]
then
installed=`strings /usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so 2> /dev/null | grep LNX | cut -d ' ' -f 2 | sed -e "s/,/./g"`

if [ -f $cachedir/$latestfile ]
then
chromeversion=`head -n 1 $cachedir/$latestfile`
flashversion=`tail -n 1 $cachedir/$latestfile`
else
chromeversion=0
flashversion=0
fi

mkdir -p var/lib/apt/lists var/cache/apt/archives etc/apt/apt.conf.d etc/apt/preferences.d

cat > apt.conf <<-EOF
Dir ".";
Dir::Etc::trusted "pubring.gpg";
Debug::NoLocking "true";
EOF

arch=`dpkg --print-architecture`

cat > etc/apt/sources.list <<-EOF
deb [arch=$arch] http://dl.google.com/linux/chrome/deb/ stable main
EOF

gpg --quiet --no-permission-warning --homedir "etc/apt" --import /usr/lib/pepperflashplugin-nonfree/pubkey-google.txt

[ "$verbose" != "yes" ] || echo "doing apt-get update on google repository"
stdouterr=`APT_CONFIG=apt.conf apt-get --quiet --quiet update 2>&1`
[ "$stdouterr" = "" ] || die_hard_with_a_cleanup "failed to retrieve status information from google : $stdouterr"

newchromeversion=`APT_CONFIG=apt.conf apt-cache show google-chrome-$variant | grep "^Version: " | sed -e "s,^Version: ,,"`
poolfile=`APT_CONFIG=apt.conf apt-cache show google-chrome-$variant | grep "^Filename: " | sed -e "s,^Filename: ,,"`
deburl="http://dl.google.com/linux/chrome/deb/$poolfile"
debfile=`echo $poolfile|sed -e "s,.*/,,"`
debsize=`APT_CONFIG=apt.conf apt-cache show google-chrome-$variant | grep "^Size: " | sed -e "s,^Size: ,,"`
debsha1=`APT_CONFIG=apt.conf apt-cache show google-chrome-$variant | grep "^SHA1: " | sed -e "s,^SHA1: ,,"`
debmd5=`APT_CONFIG=apt.conf apt-cache show google-chrome-$variant | grep "^MD5sum: " | sed -e "s,^MD5sum: ,,"`

if [ "$chromeversion" = "$newchromeversion" ]
then
upstream=$flashversion
else
downloadurl="http://people.debian.org/~bartm/pepperflashplugin-nonfree/$latestfile"
wgetoptions="$wgetquiet $wgetalways"
[ "$fast" != "yes" ] || wgetoptions="$wgetoptions $wgetfast"

[ "$verbose" != "yes" ] || echo "downloading $downloadurl"
HOME=/root wget $wgetoptions $downloadurl || die_hard_with_a_cleanup "wget failed to download $downloadurl"

mv $latestfile $cachedir

chromeversion=`head -n 1 $cachedir/$latestfile`
flashversion=`tail -n 1 $cachedir/$latestfile`

upstream=$flashversion
fi
fi

case "$ACTION" in

--install)
[ "$verbose" != "yes" ] || echo "selected action = $ACTION"

[ "$upstream" != "" ] || die_hard_with_a_cleanup "failed to determine upstream version"

if [ "$installed" != "" -a "$upstream" != "" -a "$installed" = "$upstream" ]
then

[ "$verbose" != "yes" ] || echo "upstream version $upstream is already installed"

else

if [ -f $cachedir/$debfile ]
then
cp -p $cachedir/$debfile .
fi

if [ ! -f $debfile ]
then
wgetoptions="$wgetalways $wgetprogress"
[ "$quiet" != "yes" ] || wgetoptions="$wgetquiet $wgetalways"
[ "$fast" != "yes" ] || wgetoptions="$wgetoptions $wgetfast"
wgetoptions="$wgetoptions -O $UNPACKDIR/$debfile" # to change wget message : Saving to ...

HOME=/root wget $wgetoptions $deburl || die_hard_with_a_cleanup "wget failed to download $deburl"

[ `stat --format=%s $debfile` = "$debsize" ] || die_hard_with_a_cleanup "rejecting $debfile : wrong size"
[ `sha1sum $debfile|sed -e "s, .*,,"` = "$debsha1" ] || die_hard_with_a_cleanup "rejecting $debfile : wrong sha1sum"
[ `md5sum $debfile|sed -e "s, .*,,"` = "$debmd5" ] || die_hard_with_a_cleanup "rejecting $debfile : wrong md5sum"
fi

dpkg-deb -x $debfile unpackchrome

sofile=unpackchrome/opt/google/chrome/PepperFlash/libpepflashplayer.so
[ -e $sofile ] || sofile=unpackchrome/opt/google/chrome-unstable/PepperFlash/libpepflashplayer.so
[ -e $sofile ] || sofile=unpackchrome/opt/google/chrome/PepperFlash/libpepflashplayer.so

mv -f $sofile /usr/lib/pepperflashplugin-nonfree
chown root:root /usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so
chmod 644 /usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so
mv $debfile $cachedir
fi

[ "$verbose" != "yes" ] || echo "end of action $ACTION"

[ ! -e /etc/chromium/default ] || \
grep -q pepperflashplugin-nonfree /etc/chromium/default \
|| cat /usr/lib/pepperflashplugin-nonfree/etc-chromium-default.txt >> /etc/chromium/default
[ ! -e /etc/chromium-browser/default ] || \
grep -q pepperflashplugin-nonfree /etc/chromium-browser/default \
|| cat /usr/lib/pepperflashplugin-nonfree/etc-chromium-default.txt >> /etc/chromium-browser/default

;;

--uninstall)
[ "$verbose" != "yes" ] || echo "selected action = $ACTION"

[ "$verbose" != "yes" ] || echo "removing files ..."
rm -f /usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so

[ "$verbose" != "yes" ] || echo "end of action $ACTION"

;;

--status)
[ "$verbose" != "yes" ] || echo "selected action = $ACTION"

echo "Flash Player version installed on this system : $installed"
echo "Flash Player version available on upstream site: $upstream"

[ "$verbose" != "yes" ] || echo "end of action $ACTION"

;;

*)

do_cleanup
show_usage

;;

esac

do_cleanup

[ "$verbose" != "yes" ] || echo "end of update-pepperflashplugin-nonfree"


Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 4977
Location: King's Lynn, UK.

PostPosted: Fri 15 Mar 2019, 20:37    Post subject:  

@ spiritwild:-

Mm. That's the one where the whole of Chrome is downloaded to grab PepperFlash, ain't it? Trouble is, Pepper is no longer included in the install; it now auto-downloads it after installation. And that only gives you the 64-bit version. What about those who need the 32-bit version?

Easier to grab the up-to-date version of Pepper straight from Adobe, then use our Russian colleague SFS's Pepper-autoupdater to keep on top of it. (The script's a hell of a lot smaller, too; modified from Geoffrey's Flash auto-updater. And you can use this for both versions; just modify the appropriate bit of the script...)

http://www.murga-linux.com/puppy/viewtopic.php?p=976126#976126


Mike. Wink

_________________
My 'Puppy' Packages
--------------------------------------

Back to top
View user's profile Send private message 
spiritwild


Joined: 03 Oct 2016
Posts: 174

PostPosted: Fri 15 Mar 2019, 23:20    Post subject:  

Mike...

I believe it was here:
https://packages.ubuntu.com/trusty/i386/pepperflashplugin-nonfree/download

The script you suggest gives me this output:

LATEST_VERSION=32.0.0.156
INSTALLED_VERSION=!

Then it exits out.

Am I missing something required for it?
Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 4977
Location: King's Lynn, UK.

PostPosted: Sat 16 Mar 2019, 00:17    Post subject:  

@ spiritwild:-

Probably a silly question, but I take it you have modified lines 4 & 5 to give the appropriate 'path' to your 'libpepflashplayer.so' and 'manifest.json'.....wherever they happen to be?

Mine sit remotely, because I run a dozen Pups; each Pup has at least 2 Chromium-based browsers, and I share a single, 'common' PepperFlash 'install' between the lot of them. You only want one browser at a time, under normal circumstances.....don't you?


Mike. Wink

_________________
My 'Puppy' Packages
--------------------------------------

Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 2 [20 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Beginners Help ( Start Here)
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0832s ][ Queries: 12 (0.0239s) ][ GZIP on ]